Extending Qt Creator Manual | NestedNameNode

Extending Qt Creator Manual 4.7.1

# NestedNameNode Class

(Debugger::Internal::NestedNameNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Types

typedef | Ptr

## Public Functions

| NestedNameNode(Debugger::Internal::GlobalParseState *parseState)
CvQualifiersNode::Ptr | cvQualifiers() const
bool | isConstructorOrDestructorOrConversionOperator() const
bool | isTemplate() const
int | toByteArray() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Type Documentation

### typedef NestedNameNode::Ptr

## Member Function Documentation

### NestedNameNode::NestedNameNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of NestedNameNode.

### CvQualifiersNode::Ptr NestedNameNode::cvQualifiers() const

### bool NestedNameNode::isConstructorOrDestructorOrConversionOperator() const

### bool NestedNameNode::isTemplate() const

### `[static]` bool NestedNameNode::mangledRepresentationStartsWith(char c)

### int NestedNameNode::toByteArray() const